@font-face {
    font-family: interLight;
    /* src: url('./fontInter/Inter-Light.ttf') format(truetype); */
    src: url(./fonts/Inter-Light.ttf) format(truetype);
}

@font-face {
    font-family: interMedium;
    /* src: url('./fontInter/Inter-Medium.ttf') format(truetype); */
    src: url(./fonts/Inter-Medium.ttf) format(truetype);
}

@font-face {
    font-family: interRegular;
    /* src: url('./fontInter/Inter-Regular.ttf') format(truetype); */
    src: url(./fonts/Inter-Regular.ttf) format(truetype);
}

body {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

/* < WorkerCard >  ---------------------------------- */
div.workerCard {
    width: 250px;
    height: 350px;
    border: 1px solid #C4C7DD;
    overflow: hidden;
    border-radius: 2px;
}

div.workerCard:hover {
    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.1) 0px 8px 24px, rgba(17, 17, 26, 0.1) 0px 16px 56px;
}

div.workerCard-img-area {
    width: 250px;
    height: 200px;
    background-color: white;
}

div.workerCard-content-area {
    display: flex;
    flex-flow: column nowrap;
    width: 250px;
    height: 150px;
    background-color: #1E1F29;
    color: white;
}

p.workerCard-title {
    font-size: 20px;
    margin: 10px 0px 0px 14px;
    font-family: interMedium;

}

p.workerCard-adress {
    margin: 5px 0px 0px 14px;
    font-size: 12px;
    font-family: interRegular;
}

p.workerCard-phone {
    margin: 2.5px 0px 0px 14px;
    font-size: 12px;
    font-family: interLight;
    font-style: italic;
}

footer.workerCard-footer {
    margin: 14px 15px 12px 15px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    width: 220px;
    height: 50px;
}

section.workerCard-footer-score {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 35px;
    padding: 0px;
    margin-bottom: 12px;
}

p.workerCard-score-value {
    font-family: interMedium;
    font-size: 20px;
    margin: 0px 0px -2px 0px;
    padding: 0px;
}

p.workerCard-score-nota {
    font-family: interRegular;
    font-size: 12px;
    margin: -5px 0px 0px 0px;
    padding: 0px;
}

div.workerCard-content-data {
    display: flex;
    flex-flow: column nowrap;
}

/* - Worker registration pages - */
body#worker-registration-page {
    background-image: url(../images/worker_reg_page.png);
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-flow: row-reverse nowrap;
    min-height: 100vh;
    align-items: center;
    justify-items: center;
    background-attachment: fixed;
}

/* - Users registration pages - */
body#client-registration-page {
    background-image: url(../images/client-reg-page.png);
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-flow: row-reverse nowrap;
    min-height: 100vh;
    align-items: center;
    justify-items: center;
    background-attachment: fixed;
}

div#registration-container {
    display: flex;
    flex-flow: row wrap;
    align-items: start;
    height: 99vh;
}

div#registration-input-card {
    overflow: auto;
    border: 1px solid #C4C7DD;
    border-radius: 10px;
    background-color: #fff;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    padding: 30px;
}

div#registration-input-panel p {
    margin: 20px;
}

/* Scroll Design - input - panel*/
div#registration-input-panel::-webkit-scrollbar {
    width: 16px;
}

div#registration-input-panel::-webkit-scrollbar-track {
    background-color: #e4e4e4;
    border-radius: 100px;
}

div#registration-input-panel::-webkit-scrollbar-thumb {
    background-image: linear-gradient(180deg, #1E1F29 0%, #21283a 99%);
    box-shadow: inset 2px 2px 5px 0 rgba(#fff, 0.5);
    border-radius: 100px;
}

h3.registration-form-title{
    color:#5C5C5C;
    font-family: interMedium;
}

label.registration-form-label{
    color: #858798;
    font-family: interMedium;
}

/*------------- << Client & Worker after registration Page >> --------------------- */
h3.regFinishTitle{
    font-family: interMedium;
    color: #4D4D4D;
}

button.regFinishBtn{
    background-color: #1E1F29;
    color:white;
    font-family: interMedium;
}

/*------------- << Profile Page >> --------------------- */
a.updateProfileLink{
    font-family: interRegular;
    font-size: small;
    text-decoration: none;
    width: 140px;
    height: 35px;
    background-color: #1E1F29;
    border-radius: 5px;
    color:white;
    padding: 5px;
    text-align: center;
    margin-top: -15px;
    margin-bottom: 10px;
}


div.GPT-container-l-avatar-area {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    margin-top: 10px;
    width: 100%;
}

img.profile-avatar {
    width: 150px;
    height: 150px;
    border-radius: 50%;
}

p.profile-worker-name {
    font-family: interRegular;
    font-size: 20px;
    font-weight: 600;
    color: #222020;
    margin-top: 5px;
    margin-bottom: 0px;
}

p.profile-worker-location {
    font-family: interRegular;
    font-size: 15x;
    color: #616161;
    margin-bottom: 5px;
}

p.profile-l-title {
    font-family: interMedium;
    font-size: 14px;
    margin-top: 10px;
    margin-bottom: 0px;
    font-weight: bold;
    color: #1E1F29;
}

span.profile-l-data {
    margin-left: 14px;
    margin-top: 0px;
    font-family: interRegular;
    font-size: 12px;
    font-weight: 600;
    color: #1E1F29;
}

div.profile-data-central-container {
    width: 100%;
    height: 100%;
    padding: 36px 52px 40px 52px;
}

div.profile-data-content {
    display: flex;
    flex-flow: column nowrap;
    width: 100%;
    height: 100%;
}

section.profile-data-badges {
    margin-top: 16px;
    display: flex;
    flex-flow: row wrap;
    justify-content: end;
    gap: 10px;
    width: 100%;
}

img.profile-content-img-header {
    width: 100%;
    height: 216px;
    border-radius: 5px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

section.profile-data-description {
    margin-top: 0px;
}

div.profile-description-box {
    margin-top: 10px;
    height: 400px;
    overflow-y: scroll;
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 42px;
}

/*------------- << HOME Page >> --------------------- */
body#HOME {
    margin: 0px;
    box-sizing: border-box;
    padding: 60px 60px 30px 60px;
    background: url(../images/home_bg.png) no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-attachment: fixed;
}

div.home-container-l,
div.home-container-r {
    flex: 1;
    /* border: 1px solid lime; */
    padding-top: 100px;
}

div.home-auth-r-container {
    display: flex;
    flex-flow: column nowrap;
    justify-content: start;
    align-items: end;
}

div.home-container-l h3 {
    font-size: 2.7rem;
    font-family: interMedium;
    margin-bottom: -20px;
    color: #1E1F29;
}

div.home-container-l h1 {
    font-size: 4.5rem;
    font-family: interMedium;
    color: #1E1F29;
}

button.home-auth-buttons {
    border: 1px solid #B0B0B0;
    background-color: white;
    width: 408px;
    height: 82px;
    border-radius: 15px;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    margin-bottom: 18px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: start;
    align-content: center;
    padding: 0px;
    text-align: start;
}

button.home-auth-buttons img {
    width: 82px;
    height: 82px;
}

button.home-auth-buttons div {
    display: flex;
    flex-flow: column nowrap;
    padding-left: 16px;
    padding-right: 5px;
    padding-top: 7.5px;
}

button.home-auth-buttons div p {
    margin: 0px;
}

p.home-auth-buttons-titlte {
    font-size: 18px;
    font-family: interRegular;
    font-weight: 600;
    color: #353333;
}

p.home-auth-buttons-desc {
    font-size: 12px;
    font-family: interMedium;
    color: #858798;
}

/* Área home quando usuário não está logado */
h1.home-container-guest-h1 {
    color: #1E1F29;
    font-size: 64px;
    font-family: interMedium;
}

h3.home-container-guest-h3 {
    color: #383942;
    font-size: 26px;
    font-family: interMedium;

}

/* --------------------------------------------------- */

/*<< GPT :: General Page Template >>*/

body#GPT {
    margin: 0px;
    box-sizing: border-box;
    padding: 60px 60px 30px 60px;
    background: url(../images/page_bg.jpg) no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

nav#GPT-nav {
    width: auto;
    max-width: 1800px;
    min-width: 752px;
    height: 75px;
    background-color: #1E1F29;
    border-radius: 7px;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
    /* box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px, rgba(6, 24, 44, 0.65) 0px 4px 6px -1px, rgba(255, 255, 255, 0.08) 0px 1px 0px inset; */
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
}

div.GPT-nav-container {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    gap: 25px;
    margin: 0px 47px;
    color: rgb(209, 209, 209);
    font-size: 18px;
    font-family: interLight;
}

div.GPT-nav-container>a {
    text-decoration: none;
    color: rgb(209, 209, 209);
}

div.GPT-nav-container>a:hover {
    color: #969696;
}

div#GPT-container {
    display: flex;
    flex-flow: row;
    gap: 15px;
    margin-top: 30px;
    width: auto;
    max-width: 1800px;
    min-width: 752px;
    height: 885px;
}

#client-profile-container{
    margin-top: 47px;
    max-width: 610px;
    max-height: 710px;
    flex: 1;
    border: 1px solid #C4C7DD;
    border-radius: 5px;
    background-color: white;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    
}

section#GPT-container-l {
    max-width: 310px;
    flex: 1;
    border: 1px solid #C4C7DD;
    border-radius: 5px;
    background-color: white;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

header.GPT-container-l-head {
    font-size: 19px;
    font-family: interRegular;
    height: 50px;
    background-color: #1E1F29;
    text-align: center;
    padding-top: 9px;
    color: white;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

div.GPT-container-l-a-container {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
}

a.GPT-container-l-a {
    font-size: 16px;
    text-decoration: none;
    margin-top: 17px;
    font-family: interRegular;
    color: #71748A;
}

a.GPT-container-l-a:hover {
    font-weight: 600;
}

section#GPT-container-r {
    flex: 1;
    border: 1px solid #C4C7DD;
    border-radius: 5px;
    background-color: white;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;

    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

section#profile-form{
    display: flex;
    flex:1;
    justify-content: center;
}

/* Worker Modal */
.worker-modal-btn {
    width: 244px;
    border-radius: 5px !important;
    font-family: interRegular !important;
}

/* --- <Start> Login Page, no media configuration --- */
div#login-container {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    align-content: center;
    justify-content: center;
}

div.input-login-helper {
    display: flex;
    flex-flow: column nowrap;
}

div.input-login-container {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
}

div.catBadge-container {
    width: fit-content;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
}

div.catBadge {
    width: 35px;
    height: 35px;
    border-radius: 100%;
    border: 1px solid #DDDDDD;
    background-color: #1E1F29;
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
}

div.catBadge-shadow {
    box-shadow: rgba(0, 0, 0, 0.13) 0px 10px 20px, rgba(0, 0, 0, 0.19) 0px 6px 6px;
}

p.cat-badge-text-p {
    font-family: interMedium;
    font-weight: 500;
    font-size: 12px;
    color: #1E1F29;
}

p.cat-badge-text-l {
    font-family: interMedium;
    font-weight: 500;
    font-size: 10px;
    color: #F8F8F8;
}

input.worker-search-bar {
    background-color: white;
    border: 1px solid #CFCFCF;
    border-radius: 5px;
    width: 200px;
    height: 30px;
    font-size: 13px;
    padding-left: 10px;
}

button.worker-search-button {
    height: 30px;
    font-family: interLight;
    font-size: 12px;
}

/* Custon-CheckboxTest */

.cat{
    margin: 4px;
    background-color: white;
    border-radius: 4px;
    border: 1px solid #DDDDDD;
    overflow: hidden;
    float: left;
  }
  
  .cat label {
    float: left; line-height: 3.0em;
    width: 8.0em; height: 3.0em;
  }
  
  .cat label span {
    text-align: center;
    padding: 3px 0;
    display: block;
  }
  
  .cat label input {
    position: absolute;
    display: none;
    color: #DDDDDD !important;
  }
  .cat label input + span{color: #7c7c7c;}
  
  .cat input:checked + span {
      color: #ffffff;
      text-shadow: 0 0  6px rgba(0, 0, 0, 0.8);
  }
  
  .action input:checked + span{background-color: #262731;}
/* --------------------------------------------------- */
@media only screen and (min-width: 768px) and (max-width:1152px) {
    a.left-nav-content {
        display: none;
    }
}

@media only screen and (max-width: 766px) {
    a.left-nav-content {
        display: none;
    }

    /* --  Login Page -- */
    body#loginPage {
        background-image: url(../images/login_page_bg.png);
        background-repeat: no-repeat;
        background-size: cover;
        display: flex;
        flex-flow: row-reverse nowrap;
        min-height: 100vh;
        align-items: center;
        justify-content: center;
        background-attachment: fixed;
    }

    div#login-container {
        background-color: transparent;
    }

    img#login-image-title {
        width: 199px;
        height: 120px;
    }

    label.input-login-label {
        display: none;
    }

    input.login-input {
        width: 250px;
        height: 34px;
        border: none;
        border-radius: 5px;
        filter: drop-shadow(0px 3px 4px #919191);
        text-indent: 10px;
    }

    input.login-input::placeholder {
        font-family: interLight;
    }

    input.login-email {
        margin-top: 40px;
    }

    input.login-password {
        margin-top: 13px;
    }

    a#login-recover-password {
        margin-top: 8px;
        font-size: 0.813rem;
        text-decoration: none;
        font-family: interMedium;
        color: #1E1F29;
    }

    button#login-button {
        margin-top: 15px;
        cursor: pointer;
        width: 250px;
        height: 34px;
        border-radius: 5px;
        background-color: #1E1F29;
        border: none;

        color: #fff;
        font-size: 1rem;
        font-family: interRegular;
    }

    button#new-account-button {
        cursor: pointer;
        width: 250px;
        height: 34px;
        background-color: transparent;
        border: none;

        color: #1E1F29;
        font-family: interMedium;
    }

    /* -- Usertype Selection Page -- */
    body#userType-selection {
        /* background-image: url(../images/login_page_bg.jpg); */
        background: url(../images/page_bg.jpg) no-repeat center center fixed;
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
        min-height: 100vh;
    }

    div#userType-title-area {
        margin-top: 10px;
        display: flex;
        flex-flow: row nowrap;
        align-items: start;
    }

    div#userType-title-container {
        width: 230px;
        height: 37px;
        background-color: #1D1D24;
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        align-items: center;
    }

    div#userType-title-container>p {
        color: #fff;
        font-size: 1rem;
        font-family: interRegular;
    }

    div#userType-central-container {
        display: flex;
        flex-flow: row nowrap;
        flex-grow: 1;
        height: 80vh;
    }

    div#userType-left-area {
        flex-grow: 1;
        display: flex;
        flex-flow: row nowrap;
        justify-content: end;
        align-items: center;
    }

    div#userType-center-area {
        flex-grow: 2;
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        align-items: center;
    }

    div.userType-right-area-adjust {
        display: flex;
        flex-flow: row nowrap;
        justify-content: end;
        align-items: center;
    }


    button#userType-select-button {
        width: 220px;
        height: 40px;
        background-color: #1E1F29;
        border-radius: 5px;
        border: none;
        color: #fff;
        font-size: 1rem;
        font-family: interRegular;
    }

    img#userType-image {
        margin-top: 20px;
        height: 100%;
    }

    div#userType-footer-container {
        margin-top: 20px;
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
    }

}

@media only screen and (min-width: 768px) { 


    /* -- <Start> -  Login Page -- */
    body#loginPage {
        background-image: url(../images/login_page_bg.png);
        background-size: cover;
        background-repeat: no-repeat;
        display: flex;
        flex-flow: row-reverse nowrap;
        min-height: 100vh;
        align-items: center;
        justify-items: center;
        background-attachment: fixed;
    }

    /* Scroll Design - body*/
    body::-webkit-scrollbar {
        width: 16px;
    }

    body::-webkit-scrollbar-track {
        background-color: #e4e4e4;
        border-radius: 100px;
    }

    body::-webkit-scrollbar-thumb {
        background-image: linear-gradient(180deg, #1E1F29 0%, #21283a 99%);
        box-shadow: inset 2px 2px 5px 0 rgba(#fff, 0.5);
        border-radius: 100px;
    }


    div#login-container {
        width: 616px;
        height: 802px;
        background-color: #fff;
        border-radius: 10px;
        filter: drop-shadow(0px 3px 4px #b8b7b7);
        margin-right: 9%;
    }

    img#login-image-title {
        width: 303px;
        height: 193px;
        margin-top: 76px;
    }

    input.login-input {
        width: 500px;
        height: 55px;
        border-radius: 5px;
        border: 1px solid #DADADA;
        text-indent: 11px;
    }

    input.login-input::placeholder {
        font-size: 1rem;
        color: #AEAFB7;
        font-family: interLight;
    }

    label.input-login-label {
        font-size: 1.05rem;
        font-weight: 600;
        color: #858798;
        font-family: interRegular;
    }


    label#input-login-label-password {
        margin-top: 37px;
    }

    label#input-login-label-email {
        margin-top: 81px;
    }

    a#login-recover-password {
        margin-top: 11px;
        font-size: 0.813rem;
        text-decoration: none;
        font-family: interRegular;
        color: #858798;
    }

    button#login-button {
        cursor: pointer;
        margin-top: 32px;
        width: 500px;
        height: 55px;
        border-radius: 5px;
        background-color: #1E1F29;
        border: none;

        color: #fff;
        font-size: 1.3rem;
        font-family: interRegular;
    }

    button#new-account-button {
        cursor: pointer;
        margin-top: 16px;
        width: 500px;
        height: 55px;
        border-radius: 5px;
        background-color: #fff;
        border: 1px solid #858798;

        color: #818290;
        font-size: 1.3rem;
        font-family: interRegular;
    }

    /* -- Usertype Selection Page -- */
    body#userType-selection {
        background: url(../images/page_bg.jpg) no-repeat center center fixed;
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
    }

    div#userType-title-area {
        margin-top: 70px;
        display: flex;
        flex-flow: row nowrap;
        align-items: start;
    }

    div#userType-title-container {
        width: 240px;
        height: 45px;
        background-color: #1D1D24;
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        align-items: center;
        align-content: center;
    }

    div#userType-title-container>p {
        margin: 0px 20px;
        color: #fff;
        font-size: 1.05rem;
        font-family: interRegular;
    }

    div#userType-central-container {
        display: flex;
        flex-flow: row nowrap;
        flex-grow: 1;
        max-height: 80vh;
    }

    div#userType-left-area {
        flex-grow: 1;
        display: flex;
        flex-flow: row nowrap;
        justify-content: end;
        align-items: center;
    }

    div#userType-center-area {
        flex-grow: 2;
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        align-items: center;
        /* overflow: hidden; */
    }

    div#userType-right-area {
        flex-grow: 1;
        display: flex;
        flex-flow: row nowrap;
        justify-content: start;
        align-items: center;
    }

    button#userType-select-button {
        cursor: pointer;
        width: 496px;
        height: 55px;
        background-color: #1E1F29;
        border-radius: 5px;
        border: none;
        color: #fff;
        font-size: 1rem;
        font-family: interRegular;
    }

    img#userType-image {
        max-height: 100%;
        max-width: 100%;
        object-fit: contain;
    }

    div#userType-footer-container {
        margin-top: 20px;
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
    }
}

@media only screen and (min-width: 1921px) {

    /*<< GPT :: General Page Template >>*/
    div#GPT-center {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }

    nav#GPT-nav {
        width: auto;
        max-width: 1800px;
        min-width: 752px;
        height: 75px;
        background-color: #1E1F29;
        border-radius: 7px;
        box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
        /* box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px, rgba(6, 24, 44, 0.65) 0px 4px 6px -1px, rgba(255, 255, 255, 0.08) 0px 1px 0px inset; */
    }

    div#GPT-container {
        display: flex;
        flex-flow: row;
        gap: 15px;
        margin-top: 30px;
        width: auto;
        width: 1800px;
        height: 885px;
    }

    section#GPT-container-l {
        max-width: 310px;
        flex: 1;
        border: 1px solid #C4C7DD;
        border-radius: 5px;
        background-color: white;
        box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    }

    section#GPT-container-r {
        flex: 1;
        border: 1px solid #C4C7DD;
        border-radius: 5px;
        background-color: white;
        box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    }

}